function [] =kuva2pdf(nimi)
%Tallentaa kuvan pdf-tiedostona. Huolehdi siit, ett kuva, jonka haluat
%tallentaa, on aktiivinen.
%
%Esimerkiksi
%
%x=linspace(-1,1,100);y=x.^2;
%figure('units','normalized','outerposition',[0 0 1 1])
%plot(x,y),axis equal,title('Funktio $y=x^2$','Interpreter','Latex','Fontsize',30)
%kuva2pdf()             %tai kuva2pdf('jokin-tiedostonimi')

h=gcf;
set(h,'PaperOrientation','landscape');
set(h,'PaperUnits','normalized');
set(h,'PaperPosition', [0 0 1 1]);

if nargin==1, knimi=nimi;
else
%Kuvan nimeksi voidaan asettaa kellonaika
knimi=['kuva',num2str(-floor(clock))]; %poimitaan kellonaika
knimi=knimi(knimi~=' ');                       %poistetaan vlilynnit
end
print(h, '-dpdf', knimi);
%print(h, '-dpng', 'knimi');
end

