function [u,v,n] =tasokuvauvn(a,b,c,d)
%Piirt tason kuvaan suuntavektorit ja normaalivektorin
%
%Esimerkiksi
%tasokuvauvn(-3,-2,6,-6)

%Lasketaan origoa lhin piste ja asetetaan vektorit alkamaan siit
n=[a,b,c];T=norm(n)^2;
olahin=[a,b,c]*d/T;         %origoa lhin piste
%Lasketaan normaali ja kaksi tason suuntavektoria
sn=n/norm(n);               %yksikknormaali
su=[0,0,0];
su=[b-c,c-a,a-b];
if norm(su)==0,
su=[-b+c,c+a,-a-b];
end
su=su/norm(su);             %suuntavektori u
sv=cross(sn,su);            %suuntavektori v

%Piirretaan n,u,v
osn=[olahin;olahin+sn]';
osu=[olahin;olahin+su]';
osv=[olahin;olahin+sv]';
plot3(osn(1,:),osn(2,:),osn(3,:),'r')
plot3(osu(1,:),osu(2,:),osu(3,:),'g')
plot3(osv(1,:),osv(2,:),osv(3,:),'b')
%tekstit vektorien u ja v ptepisteiden ylpuolelle
ute=osu(:,end)+0.3*sn;
vte=osv(:,end)+0.3*sn;
%Pidemmt tekstit lukuarvoilla
text(osn(1,end),osn(2,end),osn(3,end),['n=( ' num2str(a),' ,',num2str(b),' , ',num2str(c),' )'])
text(ute(1,end),ute(2,end),ute(3,end),['u=( ' num2str(su(1)),' ,',num2str(su(2)),' , ',num2str(su(3)),' )'])
text(vte(1,end),vte(2,end),vte(3,end),['u=( ' num2str(sv(1)),' ,',num2str(sv(2)),' , ',num2str(sv(3)),' )'])
title(['Tason yhtalo on: (', num2str(a),')*x+(',num2str(b),')*y+(',num2str(c),')*z=',num2str(d)])
end

