function [h] =tasoabcd2kuva(a,b,c,d,t)
%Piirt kuvan tasosta ax+by+cz=d.
%
%Esimerkiksi
%t=linspace(-2,2,100);
%tasoabcd2kuva(-3,-2,6,-6,t);

[x,y]=meshgrid(t);

if c~=0,            %lasketaan z, meshgridill x,y
cz=d-a*x-b*y;z=cz/c; 
elseif b~=0,        %lasketaan y, meshgridill x,z
z=y; by=d-a*x;y=by/b; 
elseif a~=0,        %lasketaan x, meshgridill y,z
z=x; x=ones(size(y))*d/a;
else disp('Virhe! Tason normaali ei voi olla nollavektori.')
end

figure('units','normalized','outerposition',[0 0 1 1])
h=surf(x,y,z);
set(h,'linestyle','none')
axis equal, hold on
end

