function [f] =videopyor(kulma,korkeus)
%Pyritt kuvaa ja nauhoittaa videon
%
%Esimerkiksi
%
%s=linspace(-2,2,100);
%[x,y]=meshgrid(s);
%z=x.^2+y.^2;
%figure('units','normalized','outerposition',[0 0 1 1])
%h=surf(x,y,z);
%set(h,'linestyle','none')
%axis equal, hold on
%kulma=linspace(1,360,360);
%korkeus=20+90*sin(kulma/180);
%f=videopyor(kulma,korkeus);
%%f=videopyor(kulma,20) %vakiokorkeus

N=length(kulma);

if numel(korkeus)==1,
    korkeus=korkeus*ones(N,1);
end

if numel(kulma)~=numel(korkeus),
    disp('Vektoreissa tytyy olla yht paljon alkioita, tai jlkimminen saa olla vakio!')
    disp('Siis kulma=[10,20,30];ja korkeus=[1,2,3] tai korkeus=20.')
end

for k=1:length(kulma)
view(kulma(k),korkeus(k))
title(['tarkastelusuunta: [az,el]=[', num2str(kulma(k)),',', num2str(korkeus(k)), ']'])
f(k)=getframe;
end


end

